Debian Bug report logs - #346607
ace: FTBFS: build-depends on removed xlibs-dev

version graph

Package: ace; Maintainer for ace is Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>;

Reported by: Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>

Date: Mon, 9 Jan 2006 01:48:06 UTC

Severity: serious

Tags: patch

Found in version ace/5.4.7-7

Fixed in version ace/5.4.7-8

Done: Thomas Girard <thomas.g.girard@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>:
Bug#346607; Package ace. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>:
New Bug report received and forwarded. Copy sent to Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>
To: maintonly@bugs.debian.org
Subject: ace: FTBFS: build-depends on removed xlibs-dev
Date: Mon, 09 Jan 2006 02:38:00 +0100
Package: ace
Version: 5.4.7-7
Severity: serious

Hello,

  This is a serious bug filed against your package because it
  build-depends on xlibs-dev, which as announced in [1] a while ago, is
  no longer available in sid. This makes your package fail to build from
  source.

    [1] http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html

  To fix this bug, you need to update your build-dependencies and
  substitute xlibs-dev for the list of individual X development
  libraries that your package needs to be built. You can find detailed
  information about how to do that in the DependsXlibsDev wiki page [2].

    [2] http://wiki.debian.org/DependsXlibsDev

  As indicated by the Release Team [3], the full transition from XFree86
  to Xorg is a release blocker for Etch, which means that Etch will not
  be released until this bug is fixed (or your package removed from
  testing). So, please, try to fix in a timely manner.

    [3] http://lists.debian.org/debian-devel-announce/2005/10/msg00004.html

  The number of affected packages by the xlibs-dev transition is huge,
  so if you feel like helping with patches or uploads, feel free to
  follow the instructions contained in the wiki page above. A list of
  affected packages can be found here [4].

    [4] http://people.debian.org/~adeodato/release-usertag/transition-xlibs-dev

  Finally, if there's a strong reason for which your package should not
  be NMUed, please note so in this bug report. Prospective NMUers will
  read your reasoning, and will decide if it's strong enough to delay
  their upload.

  Thanks for your collaboration!

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>:
Bug#346607; Package ace. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 346607@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Debian Bug Tracking System <control@bugs.debian.org>, Victor Seva <linuxmaniac@torreviejawireless.org>
Cc: 346607@bugs.debian.org
Subject: xlibs-dev nmu ace
Date: Wed, 11 Jan 2006 19:33:12 +0100
[Message part 1 (text/plain, inline)]
tags 346607 pending patch
thanks

I intend to NMU ace to the 5day queue, if you don't oppose.
Patches provided by Victor Seva are attached.

Thanks!


-- 
 .''`.     Männer sind Schweine (All men are pigs) -- Die Ärzte           
: :' :  
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com
[Message part 2 (message/rfc822, inline)]
From: Victor Seva <linuxmaniac@torreviejawireless.org>
To: amaya@debian.org
Subject: xlibs-dev transition patch ( ace )
Date: Tue, 10 Jan 2006 16:21:48 +0100
[Message part 3 (text/plain, inline)]
Mas nmu's ... 

Ahora ... me voy al curro... a ver si puedo seguir con la diversion... 

[ace_5.4.7-7.1.dsc (text/plain, attachment)]
[ace_5.4.7-7.1.diff.gz (application/x-gzip, attachment)]
[build.log.bz2 (application/x-bzip2, attachment)]

Tags added: pending, patch Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>:
Bug#346607; Package ace. Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 346607@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: Amaya <amaya@debian.org>
Cc: 346607@bugs.debian.org, Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>
Subject: Re: Processed: xlibs-dev nmu ace
Date: Fri, 13 Jan 2006 11:22:10 +0100
Hello Amaya,

>tags 346607 pending patch
> I intend to NMU ace to the 5day queue, if you don't oppose.
> Patches provided by Victor Seva are attached.

I do apologize for the late reply. Somehow your mail to 346607@b.d.o
didn't get forwarded to this mailing list, and thus I did not read it
until now :-(

In the meantime, the bug was fixed in our repo [1] but no new package
was built. Never mind, my fault, I should have replied the bug report
when it was sent.

So I don't oppose the NMU :-) But I have a question anyway: why was
x-dev dependency added to the `Build-Depends:' field ? As `libxt-dev`
already depends on it (via e.g. libx11-dev), I don't think it should be
marked twice. Am I missing something ?

Thanks,

Thomas

[1] http://svn.debian.org/wsvn/pkg-ace/trunk/?rev=242&sc=1




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>:
Bug#346607; Package ace. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 346607@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 346607@bugs.debian.org
Subject: Re: Bug#346607: Processed: xlibs-dev nmu ace
Date: Wed, 11 Jan 2006 15:27:05 -0800
[Message part 1 (text/plain, inline)]
On Fri, Jan 13, 2006 at 11:22:10AM +0100, Thomas Girard wrote:
> Hello Amaya,

> >tags 346607 pending patch
> >I intend to NMU ace to the 5day queue, if you don't oppose.
> >Patches provided by Victor Seva are attached.

> I do apologize for the late reply. Somehow your mail to 346607@b.d.o
> didn't get forwarded to this mailing list, and thus I did not read it
> until now :-(

> In the meantime, the bug was fixed in our repo [1] but no new package
> was built. Never mind, my fault, I should have replied the bug report
> when it was sent.

> So I don't oppose the NMU :-) But I have a question anyway: why was
> x-dev dependency added to the `Build-Depends:' field ? As `libxt-dev`
> already depends on it (via e.g. libx11-dev), I don't think it should be
> marked twice. Am I missing something ?

You use headers from x-dev directly; you shouldn't rely on transitive
dependencies to pull it in, as those are subject to change.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>:
Bug#346607; Package ace. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 346607@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Thomas Girard <thomas.g.girard@free.fr>
Cc: 346607@bugs.debian.org, linuxmaniac@torreviejawireless.org, Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>
Subject: Re: Processed: xlibs-dev nmu ace
Date: Thu, 12 Jan 2006 03:21:13 +0100
Thomas Girard wrote:
> In the meantime, the bug was fixed in our repo [1] but no new package
> was built. Never mind, my fault, I should have replied the bug report
> when it was sent.

Good, forget about the ITNMU then!

> So I don't oppose the NMU :-) But I have a question anyway: why was
> x-dev dependency added to the `Build-Depends:' field ? As `libxt-dev`
> already depends on it (via e.g. libx11-dev), I don't think it should
> be marked twice. Am I missing something ?

I thin Víctor will be able to elaborate more on that. I have noty looked
carefully at the patch, I am just the sponsor, and at a first glance it
looked fine. Thanks for noticing this.

Thanks again!

-- 
 .''`.     Männer sind Schweine (All men are pigs) -- Die Ärzte           
: :' :  
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>:
Bug#346607; Package ace. Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 346607@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: Steve Langasek <vorlon@debian.org>, 346607@bugs.debian.org
Cc: linuxmaniac@torreviejawireless.org, Amaya <amaya@debian.org>, Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>
Subject: Depending on x-dev (was: Re: Bug#346607: Processed: xlibs-dev nmu ace)
Date: Fri, 13 Jan 2006 20:47:52 +0100
I asked:
>>why was x-dev dependency added to the `Build-Depends:' field ? As
>>`libxt-dev` already depends on it (via e.g. libx11-dev), I don't think
>>it should be marked twice. Am I missing something ?

and Steve replied:
> You use headers from x-dev directly; you shouldn't rely on transitive
> dependencies to pull it in, as those are subject to change.

Thanks for the explanation. I have checked again but I don't believe
your explanation applies here:

 me@mymachine:ACE_wrappers$ find . -name '*.i' -o -name '*.cpp' -o 
-name '*.h' -o name '*.inl' | xargs grep X11
 1 ./ace/FlReactor.cpp:  // First clean up the corresponding X11Input.
 2 ./ace/TkReactor.cpp:  // First clean up the corresponding X11Input.
 3 ./ace/XtReactor.cpp:  // First clean up the corresponding X11Input.
 4 ./ace/XtReactor.h:#include /**/ <X11/Intrinsic.h>
 5 ./tests/XtAthenaReactor_Test.cpp:#include /**/ <X11/Intrinsic.h>
 6 ./tests/XtAthenaReactor_Test.cpp:#include /**/ <X11/Xatom.h>
 7 ./tests/XtAthenaReactor_Test.cpp:#include /**/ <X11/Shell.h>
 8 ./tests/XtAthenaReactor_Test.cpp:#include /**/ <X11/Xaw/Command.h>
 9 ./tests/XtAthenaReactor_Test.cpp:#include /**/ <X11/Xaw/Label.h>
10 ./tests/XtAthenaReactor_Test.cpp:#include /**/ <X11/Xaw/Box.h>
11 ./tests/XtAthenaReactor_Test.cpp:#include /**/ <X11/StringDefs.h>
12 ./tests/XtMotifReactor_Test.cpp:#include /**/ <X11/Intrinsic.h>
13 ./tests/XtMotifReactor_Test.cpp:#include /**/ <X11/Xatom.h>
14 ./tests/XtMotifReactor_Test.cpp:#include /**/ <X11/Shell.h>
15 ./TAO/tao/XtResource_Factory.h:#include /**/ <X11/Intrinsic.h>
16 ./TAO/tao/XtResource_Loader.h:#include /**/ <X11/Intrinsic.h>

From the above results, only line 4, 15 and 16 are relevant. The other
ones are either not compiled or false positive.

Thanks,

Thomas






Reply sent to Thomas Girard <thomas.g.girard@free.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 346607-close@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: 346607-close@bugs.debian.org
Subject: Bug#346607: fixed in ace 5.4.7-8
Date: Sun, 15 Jan 2006 09:17:10 -0800
Source: ace
Source-Version: 5.4.7-8

We believe that the bug you reported is fixed in the latest version of
ace, which is due to be installed in the Debian FTP archive:

ace_5.4.7-8.diff.gz
  to pool/main/a/ace/ace_5.4.7-8.diff.gz
ace_5.4.7-8.dsc
  to pool/main/a/ace/ace_5.4.7-8.dsc
gperf-ace_5.4.7-8_i386.deb
  to pool/main/a/ace/gperf-ace_5.4.7-8_i386.deb
libace-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-dev_5.4.7-8_i386.deb
libace-doc_5.4.7-8_all.deb
  to pool/main/a/ace/libace-doc_5.4.7-8_all.deb
libace-flreactor-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-flreactor-dev_5.4.7-8_i386.deb
libace-flreactor5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-flreactor5.4.7c2a_5.4.7-8_i386.deb
libace-qtreactor-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-qtreactor-dev_5.4.7-8_i386.deb
libace-qtreactor5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-qtreactor5.4.7c2a_5.4.7-8_i386.deb
libace-rmcast-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-rmcast-dev_5.4.7-8_i386.deb
libace-rmcast5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-rmcast5.4.7c2a_5.4.7-8_i386.deb
libace-tkreactor-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-tkreactor-dev_5.4.7-8_i386.deb
libace-tkreactor5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-tkreactor5.4.7c2a_5.4.7-8_i386.deb
libace-tmcast-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-tmcast-dev_5.4.7-8_i386.deb
libace-tmcast5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-tmcast5.4.7c2a_5.4.7-8_i386.deb
libace-xtreactor-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-xtreactor-dev_5.4.7-8_i386.deb
libace-xtreactor5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libace-xtreactor5.4.7c2a_5.4.7-8_i386.deb
libace5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libace5.4.7c2a_5.4.7-8_i386.deb
libacexml-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libacexml-dev_5.4.7-8_i386.deb
libacexml5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libacexml5.4.7c2a_5.4.7-8_i386.deb
libciao-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libciao-dev_5.4.7-8_i386.deb
libciao0.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libciao0.4.7c2a_5.4.7-8_i386.deb
libkokyu-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libkokyu-dev_5.4.7-8_i386.deb
libkokyu5.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libkokyu5.4.7c2a_5.4.7-8_i386.deb
libtao-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-dev_5.4.7-8_i386.deb
libtao-doc_5.4.7-8_all.deb
  to pool/main/a/ace/libtao-doc_5.4.7-8_all.deb
libtao-flresource-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-flresource-dev_5.4.7-8_i386.deb
libtao-flresource1.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-flresource1.4.7c2a_5.4.7-8_i386.deb
libtao-orbsvcs-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-orbsvcs-dev_5.4.7-8_i386.deb
libtao-orbsvcs1.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-orbsvcs1.4.7c2a_5.4.7-8_i386.deb
libtao-qtresource-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-qtresource-dev_5.4.7-8_i386.deb
libtao-qtresource1.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-qtresource1.4.7c2a_5.4.7-8_i386.deb
libtao-tkresource-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-tkresource-dev_5.4.7-8_i386.deb
libtao-tkresource1.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-tkresource1.4.7c2a_5.4.7-8_i386.deb
libtao-xtresource-dev_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-xtresource-dev_5.4.7-8_i386.deb
libtao-xtresource1.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao-xtresource1.4.7c2a_5.4.7-8_i386.deb
libtao1.4.7c2a_5.4.7-8_i386.deb
  to pool/main/a/ace/libtao1.4.7c2a_5.4.7-8_i386.deb
mpc-ace_5.4.7-8_all.deb
  to pool/main/a/ace/mpc-ace_5.4.7-8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 346607@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Girard <thomas.g.girard@free.fr> (supplier of updated ace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 13 Jan 2006 17:15:37 +0200
Source: ace
Binary: libkokyu-dev libtao-orbsvcs-dev libace5.4.7c2a libacexml-dev libkokyu5.4.7c2a libace-tkreactor-dev libciao-dev libtao-tkresource-dev libace-rmcast5.4.7c2a libtao-qtresource1.4.7c2a libace-qtreactor5.4.7c2a libacexml5.4.7c2a libace-tmcast-dev libtao-dev libtao-qtresource-dev libtao-xtresource1.4.7c2a libace-tkreactor5.4.7c2a libace-flreactor5.4.7c2a libtao-orbsvcs1.4.7c2a libace-xtreactor-dev libciao0.4.7c2a libtao-flresource-dev libace-rmcast-dev libtao-xtresource-dev libace-doc libace-xtreactor5.4.7c2a libtao1.4.7c2a libace-qtreactor-dev libtao-doc mpc-ace libace-dev libtao-flresource1.4.7c2a gperf-ace libtao-tkresource1.4.7c2a libace-tmcast5.4.7c2a libace-flreactor-dev
Architecture: source all i386
Version: 5.4.7-8
Distribution: unstable
Urgency: low
Maintainer: Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>
Changed-By: Thomas Girard <thomas.g.girard@free.fr>
Description: 
 gperf-ace  - Perfect hash function generator (ACE version)
 libace-dev - An Object-Oriented Network Programming Toolkit in C++
 libace-doc - Documentation for the ADAPTIVE Communication Environment (ACE)
 libace-flreactor-dev - GUI Integrated Reactors for ACE: FastLight Reactor (development f
 libace-flreactor5.4.7c2a - GUI Integrated Reactors for ACE: FastLight Reactor
 libace-qtreactor-dev - GUI Integrated Reactors for ACE: Qt Reactor (development files)
 libace-qtreactor5.4.7c2a - GUI Integrated Reactors for ACE: Qt Reactor
 libace-rmcast-dev - A reliable multicast library in C++ (development files)
 libace-rmcast5.4.7c2a - A reliable multicast library in C++
 libace-tkreactor-dev - GUI Integrated Reactors for ACE: Tk Reactor (development files)
 libace-tkreactor5.4.7c2a - GUI Integrated Reactors for ACE: Tk Reactor
 libace-tmcast-dev - A transactional multicast library in C++ (development files)
 libace-tmcast5.4.7c2a - A transactional multicast library in C++
 libace-xtreactor-dev - GUI Integrated Reactors for ACE: Xt Reactor (development files)
 libace-xtreactor5.4.7c2a - GUI Integrated Reactors for ACE: Xt Reactor
 libace5.4.7c2a - An Object-Oriented Network Programming Toolkit in C++
 libacexml-dev - ACE XML PARSER Framework (development files)
 libacexml5.4.7c2a - ACE XML PARSER Framework (runtime)
 libciao-dev - CIAO, TAO's implementation of CORBA Component Model (CCM)
 libciao0.4.7c2a - CIAO, TAO's implementation of CORBA Component Model (CCM)
 libkokyu-dev - Kokyu middleware for TAO (development files)
 libkokyu5.4.7c2a - Kokyu middleware for TAO
 libtao-dev - Development files for TAO, The ACE ORB
 libtao-doc - Documentation for TAO, The ACE ORB
 libtao-flresource-dev - Fl GUI resource factory for TAO (development files)
 libtao-flresource1.4.7c2a - Fl GUI resource factory for TAO
 libtao-orbsvcs-dev - The ACE ORB, an open-source implementation of CORBA ORB
 libtao-orbsvcs1.4.7c2a - The ACE ORB, an open-source implementation of CORBA ORB
 libtao-qtresource-dev - Qt GUI resource factory for TAO (development files)
 libtao-qtresource1.4.7c2a - Qt GUI resource factory for TAO
 libtao-tkresource-dev - Tk GUI resource factory for TAO (development files)
 libtao-tkresource1.4.7c2a - Tk GUI resource factory for TAO
 libtao-xtresource-dev - Xt GUI resource factory for TAO (development files)
 libtao-xtresource1.4.7c2a - Xt GUI resource factory for TAO
 libtao1.4.7c2a - The ACE ORB, an open-source implementation of CORBA ORB
 mpc-ace    - A Makefile generator in Perl
Closes: 346607
Changes: 
 ace (5.4.7-8) unstable; urgency=low
 .
   * debian/copy_template_sources.sh: add missing files to `libtao-dev'
     package. Thanks to Arren and Bernhard Seibold for reporting this.
   * debian/patches/23-PortableGroup-exceptions-propagation.dpatch,
     debian/patches/24-collocated-oneway+SYNC_WITH_SERVER-fix.dpatch,
     debian/patches/25-TypeCode-equivalent-fix.dpatch,
     debian/patches/26-union-_default-fix.dpatch,
     debian/patches/27-bug2225-fix.dpatch: backport various upstream
     fixes.
   * debian/control: tighten build dependency from `xlibs-dev' to
     `libxt-dev'. (Closes: #346607).
Files: 
 c7eb7c3a48e07d77519c7ecccd829be7 1601 devel optional ace_5.4.7-8.dsc
 0e73dca72bb77c820e33043c0c1e450b 85370 devel optional ace_5.4.7-8.diff.gz
 c9d3a23610e4e54b071ad9635fe52e99 232910 devel optional mpc-ace_5.4.7-8_all.deb
 7658198fb975dc3087d735505b9dcc87 1489986 doc optional libace-doc_5.4.7-8_all.deb
 b968c0f7ba976adbee721e33f4bf05a3 2076192 doc optional libtao-doc_5.4.7-8_all.deb
 982f8c5a2fe414d1dff643b7257350af 656550 libs optional libace5.4.7c2a_5.4.7-8_i386.deb
 a16ea6ad4a85ccf83c9ed7ed4f8e58b8 2127882 libdevel optional libace-dev_5.4.7-8_i386.deb
 42bbd6bc6678575725db1b0030744ab7 98668 libs optional libace-rmcast5.4.7c2a_5.4.7-8_i386.deb
 dff5507d74c847a26b51a7b4e59e649e 154558 libdevel optional libace-rmcast-dev_5.4.7-8_i386.deb
 d94ba6eff1b3a550b09672ed1e8206e1 60026 libs optional libace-tmcast5.4.7c2a_5.4.7-8_i386.deb
 fe72b11d74c0f3013686a9569600153f 72252 libdevel optional libace-tmcast-dev_5.4.7-8_i386.deb
 0de4278083b6afc19ddbca2095f4a01a 90894 devel optional gperf-ace_5.4.7-8_i386.deb
 fbcb651222e4bc14a199905faac14376 127586 libs optional libacexml5.4.7c2a_5.4.7-8_i386.deb
 08639d66054aa3aea5effe8a778157dc 204236 libdevel optional libacexml-dev_5.4.7-8_i386.deb
 6c84d141dc36b4b1aee10fb3c2ef662d 66268 libs optional libkokyu5.4.7c2a_5.4.7-8_i386.deb
 653076f69f8b45af8bbd0e5ce0a6cecb 337676 libdevel optional libkokyu-dev_5.4.7-8_i386.deb
 46dd4e301ffcc9adfdcaaadc9a3c79ad 3536552 libs optional libtao1.4.7c2a_5.4.7-8_i386.deb
 478768239213e69eb7bd9e6cb6705dfb 881336 libdevel optional libtao-dev_5.4.7-8_i386.deb
 fb62dff8308016656874611539976b99 7350668 libs optional libtao-orbsvcs1.4.7c2a_5.4.7-8_i386.deb
 8bf7e43b1351f889f224352e039843ed 2058434 libdevel optional libtao-orbsvcs-dev_5.4.7-8_i386.deb
 430bb64842a3f020b761d1e1457f5f70 833706 libs optional libciao0.4.7c2a_5.4.7-8_i386.deb
 a7285525e4e2e0f974383c669fdab3af 2567452 libdevel optional libciao-dev_5.4.7-8_i386.deb
 39b619daf23b31362b31e314e5b080d2 76778 libs optional libace-qtreactor5.4.7c2a_5.4.7-8_i386.deb
 31fec078f7efbea7d9541c7b931700bd 109038 libdevel optional libace-qtreactor-dev_5.4.7-8_i386.deb
 7bef60bb52ece6d4fdf0cd9595c9f19d 70282 libs optional libace-xtreactor5.4.7c2a_5.4.7-8_i386.deb
 97a79fdb92e13fa6bf10bda46fa2a7f5 77294 libdevel optional libace-xtreactor-dev_5.4.7-8_i386.deb
 14c9d2fbd2ab667883420a1eba5229ab 70222 libs optional libace-tkreactor5.4.7c2a_5.4.7-8_i386.deb
 5585491cfd36d75b0a5bc6e80a43dee0 77034 libdevel optional libace-tkreactor-dev_5.4.7-8_i386.deb
 bdf7d903559fbcf5851c47b4c9a82455 69860 libs optional libace-flreactor5.4.7c2a_5.4.7-8_i386.deb
 440284972aef986e86d601d1edc38a7b 76572 libdevel optional libace-flreactor-dev_5.4.7-8_i386.deb
 2b732640b7072563d01d8560d6b8c036 45204 libs optional libtao-qtresource1.4.7c2a_5.4.7-8_i386.deb
 139e8c4510c279d75157c196d283049a 46420 libdevel optional libtao-qtresource-dev_5.4.7-8_i386.deb
 95960f153aeb31288bdde859c77f741a 44792 libs optional libtao-xtresource1.4.7c2a_5.4.7-8_i386.deb
 764cdca2fcf427c896c2d1113bc9b798 45668 libdevel optional libtao-xtresource-dev_5.4.7-8_i386.deb
 5db771783c17ab7cf406b92446e55c23 44520 libs optional libtao-flresource1.4.7c2a_5.4.7-8_i386.deb
 6aac6036b6b2435e989ddbb317e652f5 45252 libdevel optional libtao-flresource-dev_5.4.7-8_i386.deb
 6633e943ef096115f32878202fb12dec 44648 libs optional libtao-tkresource1.4.7c2a_5.4.7-8_i386.deb
 35c95060b9cc7e6aa3601523a6488ceb 45464 libdevel optional libtao-tkresource-dev_5.4.7-8_i386.deb


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDynpuIU9oQVFfm3QRAh8mAKCIgsbNF5VEH+ZXfvAUOJLm5opbWACfQ1uR
9SUgti5UuHhePz4SoXF9rlU=
=TNpk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 12:10:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:59:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.